﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Portal_Proveedor.Models.Datos
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="Proveedores")]
	public partial class DatosDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    #endregion
		
		public DatosDataContext() : 
				base(global::Portal_Proveedor.Properties.Settings.Default.Datos, mappingSource)
		{
			OnCreated();
		}
		
		public DatosDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public DatosDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public DatosDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public DatosDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.AgregarRegistroUsuario")]
		public int AgregarRegistroUsuario([global::System.Data.Linq.Mapping.ParameterAttribute(Name="UserName", DbType="NVarChar(256)")] string userName, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Pais", DbType="NVarChar(10)")] string pais, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="RTN", DbType="NVarChar(100)")] string rTN, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Nombre", DbType="NVarChar(250)")] string nombre, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="CorreoSAP", DbType="NVarChar(250)")] string correoSAP, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="EsExtranjero", DbType="Bit")] System.Nullable<bool> esExtranjero)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), userName, pais, rTN, nombre, correoSAP, esExtranjero);
			return ((int)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.AgregarInicioSesion")]
		public int AgregarInicioSesion([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string usuario, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="DateTime")] System.Nullable<System.DateTime> fecha)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), usuario, fecha);
			return ((int)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarIniciosSesion")]
		public ISingleResult<ConsultarIniciosSesionResult> ConsultarIniciosSesion()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<ConsultarIniciosSesionResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.CrearClaveTemporal")]
		public int CrearClaveTemporal([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(100)")] string clave)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor, clave);
			return ((int)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ValidarSiTieneCambioClaveActivo")]
		public ISingleResult<ValidarSiTieneCambioClaveActivoResult> ValidarSiTieneCambioClaveActivo([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor);
			return ((ISingleResult<ValidarSiTieneCambioClaveActivoResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.MarcarClaveTempComoUsada")]
		public int MarcarClaveTempComoUsada([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="Int")] System.Nullable<int> id)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), id);
			return ((int)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarUsuariosBloqueados")]
		public ISingleResult<ConsultarUsuariosBloqueadosResult> ConsultarUsuariosBloqueados()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<ConsultarUsuariosBloqueadosResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarUsuariosIntentosFallidos")]
		public ISingleResult<ConsultarUsuariosIntentosFallidosResult> ConsultarUsuariosIntentosFallidos()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<ConsultarUsuariosIntentosFallidosResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.AgregarSesionOnBase")]
		public int AgregarSesionOnBase([global::System.Data.Linq.Mapping.ParameterAttribute(Name="IdSession", DbType="NVarChar(100)")] string idSession, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Fecha", DbType="DateTime")] System.Nullable<System.DateTime> fecha, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Usuario", DbType="NVarChar(100)")] string usuario, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="UsuarioOB", DbType="NVarChar(100)")] string usuarioOB)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), idSession, fecha, usuario, usuarioOB);
			return ((int)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarUltimaSessionActivaOnBase")]
		public ISingleResult<ConsultarUltimaSessionActivaOnBaseResult> ConsultarUltimaSessionActivaOnBase()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<ConsultarUltimaSessionActivaOnBaseResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarDatosCompletosPorCodigoProveedor")]
		public ISingleResult<ConsultarDatosCompletosPorCodigoProveedorResult> ConsultarDatosCompletosPorCodigoProveedor([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(250)")] string usuario)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), usuario);
			return ((ISingleResult<ConsultarDatosCompletosPorCodigoProveedorResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarRTN")]
		public ISingleResult<ConsultarRTNResult> ConsultarRTN([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string rtn)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), rtn);
			return ((ISingleResult<ConsultarRTNResult>)(result.ReturnValue));
		}
	}
	
	public partial class ConsultarIniciosSesionResult
	{
		
		private int _Id;
		
		private string _UserName;
		
		private System.DateTime _FechaConexion;
		
		public ConsultarIniciosSesionResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL")]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this._Id = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserName", DbType="NVarChar(256) NOT NULL", CanBeNull=false)]
		public string UserName
		{
			get
			{
				return this._UserName;
			}
			set
			{
				if ((this._UserName != value))
				{
					this._UserName = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_FechaConexion", DbType="DateTime NOT NULL")]
		public System.DateTime FechaConexion
		{
			get
			{
				return this._FechaConexion;
			}
			set
			{
				if ((this._FechaConexion != value))
				{
					this._FechaConexion = value;
				}
			}
		}
	}
	
	public partial class ValidarSiTieneCambioClaveActivoResult
	{
		
		private int _Id;
		
		public ValidarSiTieneCambioClaveActivoResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL")]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this._Id = value;
				}
			}
		}
	}
	
	public partial class ConsultarUsuariosBloqueadosResult
	{
		
		private string _UserName;
		
		private string _Email;
		
		private bool _Bloqueado;
		
		private System.DateTime _UltimaFechaBloqueo;
		
		public ConsultarUsuariosBloqueadosResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserName", DbType="NVarChar(256) NOT NULL", CanBeNull=false)]
		public string UserName
		{
			get
			{
				return this._UserName;
			}
			set
			{
				if ((this._UserName != value))
				{
					this._UserName = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Email", DbType="NVarChar(256)")]
		public string Email
		{
			get
			{
				return this._Email;
			}
			set
			{
				if ((this._Email != value))
				{
					this._Email = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Bloqueado", DbType="Bit NOT NULL")]
		public bool Bloqueado
		{
			get
			{
				return this._Bloqueado;
			}
			set
			{
				if ((this._Bloqueado != value))
				{
					this._Bloqueado = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UltimaFechaBloqueo", DbType="DateTime NOT NULL")]
		public System.DateTime UltimaFechaBloqueo
		{
			get
			{
				return this._UltimaFechaBloqueo;
			}
			set
			{
				if ((this._UltimaFechaBloqueo != value))
				{
					this._UltimaFechaBloqueo = value;
				}
			}
		}
	}
	
	public partial class ConsultarUsuariosIntentosFallidosResult
	{
		
		private string _UserName;
		
		private string _Email;
		
		private System.DateTime _UltimaFechaLogueo;
		
		private System.DateTime _UltimaFechaCambioPassword;
		
		private int _IntentosFallidos;
		
		private System.DateTime _FechaIntentosFallidos;
		
		public ConsultarUsuariosIntentosFallidosResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserName", DbType="NVarChar(256) NOT NULL", CanBeNull=false)]
		public string UserName
		{
			get
			{
				return this._UserName;
			}
			set
			{
				if ((this._UserName != value))
				{
					this._UserName = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Email", DbType="NVarChar(256)")]
		public string Email
		{
			get
			{
				return this._Email;
			}
			set
			{
				if ((this._Email != value))
				{
					this._Email = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UltimaFechaLogueo", DbType="DateTime NOT NULL")]
		public System.DateTime UltimaFechaLogueo
		{
			get
			{
				return this._UltimaFechaLogueo;
			}
			set
			{
				if ((this._UltimaFechaLogueo != value))
				{
					this._UltimaFechaLogueo = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UltimaFechaCambioPassword", DbType="DateTime NOT NULL")]
		public System.DateTime UltimaFechaCambioPassword
		{
			get
			{
				return this._UltimaFechaCambioPassword;
			}
			set
			{
				if ((this._UltimaFechaCambioPassword != value))
				{
					this._UltimaFechaCambioPassword = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IntentosFallidos", DbType="Int NOT NULL")]
		public int IntentosFallidos
		{
			get
			{
				return this._IntentosFallidos;
			}
			set
			{
				if ((this._IntentosFallidos != value))
				{
					this._IntentosFallidos = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_FechaIntentosFallidos", DbType="DateTime NOT NULL")]
		public System.DateTime FechaIntentosFallidos
		{
			get
			{
				return this._FechaIntentosFallidos;
			}
			set
			{
				if ((this._FechaIntentosFallidos != value))
				{
					this._FechaIntentosFallidos = value;
				}
			}
		}
	}
	
	public partial class ConsultarUltimaSessionActivaOnBaseResult
	{
		
		private string _IdSession;
		
		public ConsultarUltimaSessionActivaOnBaseResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IdSession", DbType="NVarChar(100) NOT NULL", CanBeNull=false)]
		public string IdSession
		{
			get
			{
				return this._IdSession;
			}
			set
			{
				if ((this._IdSession != value))
				{
					this._IdSession = value;
				}
			}
		}
	}
	
	public partial class ConsultarDatosCompletosPorCodigoProveedorResult
	{
		
		private string _UserName;
		
		private string _Pais;
		
		private string _RTN;
		
		private string _Nombre;
		
		private string _CorreoSAP;
		
		private System.Nullable<bool> _EsExtranjero;
		
		private string _Email;
		
		public ConsultarDatosCompletosPorCodigoProveedorResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserName", DbType="NVarChar(256) NOT NULL", CanBeNull=false)]
		public string UserName
		{
			get
			{
				return this._UserName;
			}
			set
			{
				if ((this._UserName != value))
				{
					this._UserName = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Pais", DbType="NVarChar(10)")]
		public string Pais
		{
			get
			{
				return this._Pais;
			}
			set
			{
				if ((this._Pais != value))
				{
					this._Pais = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_RTN", DbType="NVarChar(100)")]
		public string RTN
		{
			get
			{
				return this._RTN;
			}
			set
			{
				if ((this._RTN != value))
				{
					this._RTN = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Nombre", DbType="NVarChar(250)")]
		public string Nombre
		{
			get
			{
				return this._Nombre;
			}
			set
			{
				if ((this._Nombre != value))
				{
					this._Nombre = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CorreoSAP", DbType="NVarChar(250)")]
		public string CorreoSAP
		{
			get
			{
				return this._CorreoSAP;
			}
			set
			{
				if ((this._CorreoSAP != value))
				{
					this._CorreoSAP = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_EsExtranjero", DbType="Bit")]
		public System.Nullable<bool> EsExtranjero
		{
			get
			{
				return this._EsExtranjero;
			}
			set
			{
				if ((this._EsExtranjero != value))
				{
					this._EsExtranjero = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Email", DbType="NVarChar(256)")]
		public string Email
		{
			get
			{
				return this._Email;
			}
			set
			{
				if ((this._Email != value))
				{
					this._Email = value;
				}
			}
		}
	}
	
	public partial class ConsultarRTNResult
	{
		
		private System.Nullable<int> _Cantidad;
		
		public ConsultarRTNResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Cantidad", DbType="Int")]
		public System.Nullable<int> Cantidad
		{
			get
			{
				return this._Cantidad;
			}
			set
			{
				if ((this._Cantidad != value))
				{
					this._Cantidad = value;
				}
			}
		}
	}
}
#pragma warning restore 1591
